/*Con este compilador se realiza la lectura de la direcci¢n de memoria de
	la BIOS donde se encuentra la direcci¢on del puerto paralelo 1: */
																																																																								 //LPT1_.CPP
#include <ConiO.H>
#include <IOManip.H>
#include <DOS.H>

void main(){
	int puerto;

	clrscr();
/* En los manuales de computadores se encuentra que la direcci¢n del primer
	puerto paralelo se encuentra en las posiciones de memoria definidas por
	0040:0008 y siguientes */
	puerto = peek(0x40,0x8);   //lee palabra , peek(segmento, desplazamiento)
	cout << "Direcci¢n, hexadecimal, del primer puerto paralelo(LPT1): "
			 << setiosflags(ios::hex) << puerto;

/*peek es una instrucci¢n de lectura, lee una palabra, 2 bytes consecutivos
	peekb lee solamente 1 byte.
	poke escribe en 2 bytes;
	pokeb escribe en un byte.
*/
	getch();
}


